org.jbpm.workflow.core.node

## Class StartNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.StartNode

- All Implemented Interfaces:
    Serializable, Mappable, Contextable, ContextResolver, org.kie.api.definition.process.Node

      public class StartNode
      extends ExtendedNodeImpl
      implements Mappable

  Default implementation of a start node.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_BOUNDARY, EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInAssociation(DataAssociation dataAssociation)`
    `void` | `addInMapping(String parameterName, String variableName)`
    `void` | `addOutAssociation(DataAssociation dataAssociation)`
    `void` | `addOutMapping(String parameterName, String variableName)`
    `void` | `addTrigger(Trigger trigger)`
    `String[]` | `getActionTypes()`
    `EventTransformer` | `getEventTransformer()`
    `List<DataAssociation>` | `getInAssociations()`
    `String` | `getInMapping(String parameterName)`
    `Map<String,String>` | `getInMappings()`
    `List<DataAssociation>` | `getOutAssociations()`
    `String` | `getOutMapping(String parameterName)`
    `Map<String,String>` | `getOutMappings()`
    `Timer` | `getTimer()`
    `List<Trigger>` | `getTriggers()`
    `boolean` | `isInterrupting()`
    `void` | `removeTrigger(Trigger trigger)`
    `void` | `setEventTransformer(EventTransformer transformer)`
    `void` | `setInMappings(Map<String,String> inMapping)`
    `void` | `setInterrupting(boolean isInterrupting)`
    `void` | `setOutMappings(Map<String,String> outMapping)`
    `void` | `setTimer(Timer timer)`
    `void` | `setTriggers(List<Trigger> triggers)`
    `void` | `validateAddIncomingConnection(String type, org.kie.api.definition.process.Connection connection)`
    `void` | `validateAddOutgoingConnection(String type, org.kie.api.definition.process.Connection connection)`
    `void` | `validateRemoveIncomingConnection(String type, org.kie.api.definition.process.Connection connection)`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartNode

          public StartNode()

  - ### Method Detail

    - #### addTrigger

          public void addTrigger(Trigger trigger)

    - #### removeTrigger

          public void removeTrigger(Trigger trigger)

    - #### getTriggers

          public List<Trigger> getTriggers()

    - #### setTriggers

          public void setTriggers(List<Trigger> triggers)

    - #### getActionTypes

          public String[] getActionTypes()

      Overrides:
        `getActionTypes` in class `ExtendedNodeImpl`

    - #### validateAddIncomingConnection

          public void validateAddIncomingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddIncomingConnection` in class `NodeImpl`

    - #### validateRemoveIncomingConnection

          public void validateRemoveIncomingConnection(String type,
                                                       org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateRemoveIncomingConnection` in class `NodeImpl`

    - #### validateAddOutgoingConnection

          public void validateAddOutgoingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddOutgoingConnection` in class `NodeImpl`

    - #### isInterrupting

          public boolean isInterrupting()

    - #### setInterrupting

          public void setInterrupting(boolean isInterrupting)

    - #### addInMapping

          public void addInMapping(String parameterName,
                                   String variableName)

      Specified by:
        `addInMapping` in interface `Mappable`

    - #### setInMappings

          public void setInMappings(Map<String,String> inMapping)

      Specified by:
        `setInMappings` in interface `Mappable`

    - #### getInMapping

          public String getInMapping(String parameterName)

      Specified by:
        `getInMapping` in interface `Mappable`

    - #### getInMappings

          public Map<String,String> getInMappings()

      Specified by:
        `getInMappings` in interface `Mappable`

    - #### addInAssociation

          public void addInAssociation(DataAssociation dataAssociation)

      Specified by:
        `addInAssociation` in interface `Mappable`

    - #### getInAssociations

          public List<DataAssociation> getInAssociations()

      Specified by:
        `getInAssociations` in interface `Mappable`

    - #### addOutMapping

          public void addOutMapping(String parameterName,
                                    String variableName)

      Specified by:
        `addOutMapping` in interface `Mappable`

    - #### setOutMappings

          public void setOutMappings(Map<String,String> outMapping)

      Specified by:
        `setOutMappings` in interface `Mappable`

    - #### getOutMapping

          public String getOutMapping(String parameterName)

      Specified by:
        `getOutMapping` in interface `Mappable`

    - #### getOutMappings

          public Map<String,String> getOutMappings()

      Specified by:
        `getOutMappings` in interface `Mappable`

    - #### addOutAssociation

          public void addOutAssociation(DataAssociation dataAssociation)

      Specified by:
        `addOutAssociation` in interface `Mappable`

    - #### getOutAssociations

          public List<DataAssociation> getOutAssociations()

      Specified by:
        `getOutAssociations` in interface `Mappable`

    - #### getTimer

          public Timer getTimer()

    - #### setTimer

          public void setTimer(Timer timer)

    - #### setEventTransformer

          public void setEventTransformer(EventTransformer transformer)

    - #### getEventTransformer

          public EventTransformer getEventTransformer()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.